> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Files



## OpenAPI

````yaml get /files/{digest}
openapi: 3.0.2
info:
  title: OneFirewall Alliance - OpenAPI 3.0
  description: >-
    The API documentation site serves as a comprehensive resource for developers
    looking to utilize the OneFirewall Platform's application programming
    interface (API). It offers in-depth information on API endpoints,
    parameters, responses, and authentication processes. Additionally, it
    features practical examples and code snippets to assist developers in
    integrating the API into their own applications. The website is crafted to
    be user-friendly, intuitive, and easily navigable, enabling developers to
    swiftly locate the necessary information to begin working with the API.
  termsOfService: https://onefirewall.com/eula.html
  contact:
    email: support@onefirewall.com
    url: https://onefirewall.com/contact.html
    name: Engineering Division
  license:
    name: ''
    url: ''
  version: V4.18.0
servers:
  - url: https://app.onefirewall.com/api/v1
    description: OneFirewall Server
    variables: {}
security: []
tags:
  - name: IPv4 Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: IoCs
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Tools
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: URL Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Domain Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Security Binary Feeds
    description: ''
    externalDocs:
      description: ''
      url: ''
  - name: Secure VPN
    description: Secure VPN by OneFirewall
    externalDocs:
      description: ''
      url: ''
  - name: WCF Agent
    description: ''
    externalDocs:
      description: ''
      url: ''
externalDocs:
  description: http://docs.onefirewall.com
  url: http://app.onefirewall.com
paths:
  /files/{digest}:
    parameters:
      - in: path
        name: digest
        description: Digest value in any format from MD5,SHA1,SHA256
        schema:
          type: string
        required: true
    get:
      tags:
        - Security Binary Feeds
      summary: Files
      operationId: Search by Digest
      parameters:
        - in: query
          name: deep_scan
          description: >-
            YES or NO (Defualt). A Deep Scan is perfromed accross 4 million IoCs
            if the Digest is not presented into the main OneFirewall Data Lake
          schema:
            type: string
            default: 'NO'
            enum:
              - 'YES'
              - 'NO'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                type: string
              examples:
                example1:
                  value:
                    md5: 947F536E12836C13CFC73638B796471D
                    sha1: F478B6E4653C4620AF43841CC1F0227BC79F3ADB
                    sha256: >-
                      1AE54CBDE48D74B3312771FCDB51E672CD0D60F737FA5FE09F9C83597B8A3B5F
                    score: 96
                    ts: 1693519331
                    file_bytes: null
                    total_reports: 47
                    total_members: 1
                    file_type: application/x-executable
                    file_name: 947f536e12836c13cfc73638b796471d
                    tags:
                      - n/a
                      - elf
                      - Gafgyt
                    elk_ts: '2023-08-31T22:02:11.000Z'
                    elk_entry_ts: '2023-08-30T00:03:23.000Z'
                    entry_ts: 1693353803
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      description: Authorization Token
      name: Authorization

````